{
***********************************************************
*     dlfgui1.pas - a GUI unit for DLF archives
*     Author: Prof A Olowofoyeku (The African Chief)
*     Licence : FREEWARE
*     Last amended: 5 August 2004
**************************************************************
}

UNIT dlfgui1;

INTERFACE

USES
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, QMenus, QExtCtrls, QComCtrls, QButtons;

TYPE
  TMainForm = CLASS ( TForm )
    SaveDialog1 : TSaveDialog;
    OpenDialog1 : TOpenDialog;
    MainMenu1 : TMainMenu;
    N1 : TMenuItem;
    About1 : TMenuItem;
    Feile1 : TMenuItem;
    Open1 : TMenuItem;
    Extract1 : TMenuItem;
    New1 : TMenuItem;
    N2 : TMenuItem;
    Exit1 : TMenuItem;
    N3 : TMenuItem;
    ToolBar1 : TToolBar;
    ExitButton : TSpeedButton;
    ExtractButton : TSpeedButton;
    OpenButton : TSpeedButton;
    NewButton : TSpeedButton;
    PROCEDURE Exit1Click ( Sender : TObject );
    PROCEDURE About1Click ( Sender : TObject );
    PROCEDURE FormCreate ( Sender : TObject );
    PROCEDURE New1Click ( Sender : TObject );
    PROCEDURE Open1Click ( Sender : TObject );
    PROCEDURE Extract1Click ( Sender : TObject );
  PRIVATE
    { Private declarations }
  PUBLIC
    { Public declarations }
  END;

VAR
  MainForm : TMainForm;

IMPLEMENTATION

{$R *.xfm}

USES dlfunit, createdlfgui;

PROCEDURE TMainForm.Exit1Click ( Sender : TObject );
BEGIN
    Close;
END;

PROCEDURE TMainForm.About1Click ( Sender : TObject );
BEGIN
   ShowMessage ( DLFTitle
               + ' ' + DLFVersion
               + #13#10
               + 'A super tool for manipulating DLF files.'
               + #13#10
               + DLFAuthor );
END;

PROCEDURE TMainForm.FormCreate ( Sender : TObject );
BEGIN
    Left := 1;
    Top := 1;
    Caption := DLFTitle + ' ' + DLFVersion + ' ' + DLFAuthor;
END;

PROCEDURE TMainForm.New1Click ( Sender : TObject );
BEGIN
   WITH CreateDLFForm
   DO BEGIN
      Code := 1;
      Edit1.Text := AddSlash ( HomeDir ) + 'project1.dlf';
      Edit2.Text := AddSlash ( HomeDir ) + WildCard;
      Label1.Caption := 'Create a new DLF archive ';
      Label2.Caption := 'File specifications for DLF creation ';
      Edit2.Visible := True;
      Label2.Visible := True;
      Button2.Visible := True;
      WindowState := wsMaximized;
      ShowModal;
   END;
END;

PROCEDURE TMainForm.Open1Click ( Sender : TObject );
BEGIN
   WITH CreateDLFForm
   DO BEGIN
      Code := 2;
      Edit1.Text := '';
      Label1.Caption := 'Open (and list contents of) DLF    ';
      Label2.Caption := 'File specifications for DLF creation ';
      Edit2.Visible := False;
      Label2.Visible := False;
      Button2.Visible := False;
      WindowState := wsMaximized;
      ShowModal;
   END;
END;

PROCEDURE TMainForm.Extract1Click ( Sender : TObject );
BEGIN
   WITH CreateDLFForm
   DO BEGIN
      Code := 3;
      Edit1.Text := '';
      Edit2.Text := AddSlash ( HomeDir ) + 'tmp';
      Label1.Caption := 'Extract files from DLF    ';
      Label2.Caption := 'Destination directory ';
      Edit2.Visible := True;
      Label2.Visible := True;
      Button2.Visible := True;
      WindowState := wsMaximized;
      ShowModal;
   END;
END;

END.
